<!DOCTYPE html>
<html>
	<head>
	    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	    <title>AngularJS OrderBy</title>

	    <!-- AngularJs File -->
	    <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
	    <script type="text/javascript" src="resource/js/orderby.js"></script>

	    <!-- Bootstrap Css -->
	    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">

	    <style type="text/css">
	        th, td {
	            text-align: center;
	        }
	        th a {
	            cursor: pointer;
	            text-decoration: none !important;
	        }
	        .highlight {
	            background-color: #F8F8F8;
	        }
	    </style>
	</head>
	<body>
	    <div id="angularOrderby" class="container">
	        <h1 align="center" class="text-info">AngularJS - orderBy Example</h1>
	        <hr />

	        <!------ AngularJs 'orderBy' Example ------>
	        <div ng-app="app" ng-controller="ctrl">
	            <h4 id="header_msg" class="text-muted">A demo of <em>orderBy</em> filter in Angular JavaScript!</h4>
	            <div>&nbsp;</div>

	            <table id="planetTable" class="table">
	                <thead>
	                    <tr>
	                        <th scope="col"><a href="#" ng-click="sort('id')">Planet Id</a></th>
	                        <th scope="col"><a href="#" ng-click="sort('name')">Planet / Star</a></th>
	                        <th scope="col">Distance from Sun</th>
	                        <th scope="col">Light Years</th>
	                        <th scope="col"><a href="#" ng-click="sort('moons')">Moons Count?</a></th>
	                    </tr>
	                </thead>
	                <tbody>
	                    <tr ng-repeat="row in json_data | orderBy:orderProp:direction" ng-class="rollClass" ng-mouseenter="rollClass = 'highlight'" ng-mouseleave="rollClass = ''">
	                        <td>{{ row.id }}</td>
	                        <td>{{ row.name }}</td>
	                        <td>{{ row.distancefromsun }}</td>
	                        <td>{{ row.lightyears }}</td>
	                        <td>{{ row.moons }}</td>
	                    </tr>
	                </tbody>
	            </table>
	        </div>
	    </div>
	</body>
</html>