/* 
 * Description - Angular script for ordering the data!
 * Created By - Yatin Batra  
 * */
var app = angular.module("app", []);

app.controller("ctrl", function($scope) {

    $scope.orderProp = 'id'; // Set the default sort type
    $scope.direction = false; // Set the default sort order

    // Set the default planet_list
    $scope.json_data = [{
            "id": "1",
            "name": "Mercury",
            "distancefromsun": "35.98 million mi",
            "lightyears": "3 light minutes",
            "moons": "0"
        },
        {
            "id": "2",
            "name": "Venus",
            "distancefromsun": "67.24 million mi",
            "lightyears": "6 light minutes",
            "moons": "0"
        },
        {
            "id": "3",
            "name": "Earth",
            "distancefromsun": "92.96 million mi",
            "lightyears": "8 light minutes",
            "moons": "1"
        },
        {
            "id": "4",
            "name": "Mars",
            "distancefromsun": "141.6 million mi",
            "lightyears": "12.5 light minutes",
            "moons": "2"
        },
        {
            "id": "5",
            "name": "Jupiter",
            "distancefromsun": "483.8 million mi",
            "lightyears": "43 light minutes",
            "moons": "69"
        },
        {
            "id": "6",
            "name": "Saturn",
            "distancefromsun": "888.2 million mi",
            "lightyears": "79 light minutes",
            "moons": "2"
        },
        {
            "id": "7",
            "name": "Uranus",
            "distancefromsun": "1.784 billion mi",
            "lightyears": "160 light minutes",
            "moons": "27"
        },
        {
            "id": "8",
            "name": "Neptune",
            "distancefromsun": "35.98 million mi",
            "lightyears": "250 light minutes",
            "moons": "14"
        },
        {
            "id": "9",
            "name": "Pluto",
            "distancefromsun": "3.68 billion mi",
            "lightyears": "327 light minutes",
            "moons": "5"
        }
    ];

    // This method will sort the column_list based on the sort_order
    $scope.sort = function(column_name) {
        if ($scope.orderProp === column_name) {
            $scope.direction = !$scope.direction;
        } else {
            $scope.orderProp = column_name;
            $scope.direction = false;
        }
    };
});